| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassGui
- MassPeakShaperConfigDlg

# MsXpS::libXpertMassGui::MassPeakShaperConfigDlg Class

class MsXpS::libXpertMassGui::MassPeakShaperConfigDlg

The MassPeakShaperConfigDlg class provides a graphical user interface for the configuration of the mass peak shaping process. More...

Header: | `#include <MassPeakShaperConfigDlg.hpp>`

- List of all members, including inherited members
- MassPeakShaperConfigDlg is part of libXpertMassGui Mass calculations.

## Public Functions

| MassPeakShaperConfigDlg(QWidget *parent_p, const QString &applicationName, const QString &description)
virtual | ~MassPeakShaperConfigDlg()
void | readSettings(const QString &config_settings_file_path)
void | writeSettings(const QString &config_settings_file_path)

## Protected Functions

void | closeEvent(int *event)
void | setupDialog()

## Protected Variables

QString | m_applicationName
MsXpS::libXpertMassCore::MassPeakShaperConfig | m_config
MsXpS::libXpertMassGui::MassPeakShaperConfigWidget * | mp_massPeakShaperConfigWidget
QWidget * | mp_parent
Ui::MassPeakShaperConfigDlg * | mp_ui

## Detailed Description

The dialog window contains all the widgets required to fully configure the mass peak shaping process.

## Member Function Documentation

### MassPeakShaperConfigDlg::MassPeakShaperConfigDlg(QWidget *parent_p, const QString &applicationName, const QString &description)

Constructs a MassPeakShaperConfigDlg instance.

- parent_p: the parent widget.
- applicationName: the name of the application, typically massXpert2 or mineXpert2, for example.
- description: the string describing what this dialog window is for (used for the window title).

### `[virtual noexcept]` MassPeakShaperConfigDlg::~MassPeakShaperConfigDlg()

Destructs this MassPeakShaperConfigDlg instance.

### `[protected]` void MassPeakShaperConfigDlg::closeEvent(int *event)

Upon closing of the dialog window writes the settings of the dialog windows (event is unused).

See also writeSettings().

### void MassPeakShaperConfigDlg::readSettings(const QString &config_settings_file_path)

Reads the settings of this dialog window from config_settings_file_path.

### `[protected]` void MassPeakShaperConfigDlg::setupDialog()

Sets up this dialog window.

### void MassPeakShaperConfigDlg::writeSettings(const QString &config_settings_file_path)

Writes the settings of the dialog window to config_settings_file_path for later restoration.

## Member Variable Documentation

### QString MassPeakShaperConfigDlg::m_applicationName

This variable holds the name of the application.

### MsXpS::libXpertMassCore::MassPeakShaperConfig MassPeakShaperConfigDlg::m_config

This variable holds the libXpertMassCore::MassPeakShaperConfig configuration for the mass peak shaping process.

### MsXpS::libXpertMassGui::MassPeakShaperConfigWidget *MassPeakShaperConfigDlg::mp_massPeakShaperConfigWidget

This variable holds the widget holding the configuration of the mass peak shaping procedure.

### QWidget *MassPeakShaperConfigDlg::mp_parent

This variable holds the parent widget.

### Ui::MassPeakShaperConfigDlg *MassPeakShaperConfigDlg::mp_ui

This variable holds the graphical user interface definition.